Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.nio.channels.spi
Class AbstractSelectionKey

    java.lang.Object
      java.nio.channels.SelectionKey
          java.nio.channels.spi.AbstractSelectionKey

    public abstract class AbstractSelectionKey

extends SelectionKey

Base implementation class for selection keys.

This class tracks the validity of the key and implements cancellation.

Since:
  1.4

Field Summary

Fields inherited from class java.nio.channels.SelectionKey
`OP_ACCEPT, OP_CONNECT, OP_READ, OP_WRITE`

Constructor Summary
`protected` | `AbstractSelectionKey()` Initializes a new instance of this class.

Method Summary
`void` | `cancel()` Cancels this key.
`boolean` | `isValid()` Tells whether or not this key is valid.

Methods inherited from class java.nio.channels.SelectionKey
`attach, attachment, channel, interestOps, interestOps, isAcceptable, isConnectable, isReadable, isWritable, readyOps, selector`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSelectionKey

    protected AbstractSelectionKey()

  Initializes a new instance of this class.

Method Detail

### isValid

    public final boolean isValid()

  Description copied from class: `SelectionKey`
  Tells whether or not this key is valid.

  A key is valid upon creation and remains so until it is cancelled, its channel is closed, or its selector is closed.

  Specified by:
    `isValid` in class `SelectionKey`
  Returns:
    `true` if, and only if, this key is valid

### cancel

    public final void cancel()

  Cancels this key.

  If this key has not yet been cancelled then it is added to its selector's cancelled-key set while synchronized on that set.

  Specified by:
    `cancel` in class `SelectionKey`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.